"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const CreateDomainRequest = {
  domainName: {
    maxLength: 255,
    minLength: 1
  }
};
const CreateEmailRequest = {
  subject: {
    minLength: 6
  }
};
const CreateEmailRequestAddress = {
  email: {
    minLength: 1
  }
};
const CreateEmailRequestAttachment = {
  name: {
    minLength: 1
  },
  type: {
    minLength: 1
  }
};
const CreateEmailRequestHeader = {
  key: {
    minLength: 1
  },
  value: {
    minLength: 1
  }
};
const CreateWebhookRequest = {
  name: {
    maxLength: 127,
    minLength: 3
  },
  snsArn: {
    maxLength: 127,
    minLength: 3
  }
};
const ListDomainsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListEmailsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  },
  search: {
    maxLength: 100,
    minLength: 3
  },
  subject: {
    minLength: 6
  }
};
const ListWebhookEventsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const ListWebhooksRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const UpdateWebhookRequest = {
  name: {
    maxLength: 127,
    minLength: 3
  },
  snsArn: {
    maxLength: 127,
    minLength: 3
  }
};
exports.CreateDomainRequest = CreateDomainRequest;
exports.CreateEmailRequest = CreateEmailRequest;
exports.CreateEmailRequestAddress = CreateEmailRequestAddress;
exports.CreateEmailRequestAttachment = CreateEmailRequestAttachment;
exports.CreateEmailRequestHeader = CreateEmailRequestHeader;
exports.CreateWebhookRequest = CreateWebhookRequest;
exports.ListDomainsRequest = ListDomainsRequest;
exports.ListEmailsRequest = ListEmailsRequest;
exports.ListWebhookEventsRequest = ListWebhookEventsRequest;
exports.ListWebhooksRequest = ListWebhooksRequest;
exports.UpdateWebhookRequest = UpdateWebhookRequest;
