import type { DefaultValues } from '../../../bridge';
import type { CreateDHCPEntryRequest, CreateDHCPRequest, CreateGatewayNetworkRequest, CreateGatewayRequest, CreateIPRequest, CreatePATRuleRequest, DHCP, DHCPEntry, Gateway, GatewayNetwork, IP, ListDHCPEntriesResponse, ListDHCPsResponse, ListGatewayNetworksResponse, ListGatewayTypesResponse, ListGatewaysResponse, ListIPsResponse, ListPATRulesResponse, PATRule, SetDHCPEntriesRequest, SetDHCPEntriesResponse, SetPATRulesRequest, SetPATRulesResponse, UpdateDHCPEntryRequest, UpdateDHCPRequest, UpdateGatewayNetworkRequest, UpdateGatewayRequest, UpdateIPRequest, UpdatePATRuleRequest, UpgradeGatewayRequest } from './types.gen';
export declare const unmarshalDHCP: (data: unknown) => DHCP;
export declare const unmarshalGatewayNetwork: (data: unknown) => GatewayNetwork;
export declare const unmarshalIP: (data: unknown) => IP;
export declare const unmarshalDHCPEntry: (data: unknown) => DHCPEntry;
export declare const unmarshalGateway: (data: unknown) => Gateway;
export declare const unmarshalPATRule: (data: unknown) => PATRule;
export declare const unmarshalListDHCPEntriesResponse: (data: unknown) => ListDHCPEntriesResponse;
export declare const unmarshalListDHCPsResponse: (data: unknown) => ListDHCPsResponse;
export declare const unmarshalListGatewayNetworksResponse: (data: unknown) => ListGatewayNetworksResponse;
export declare const unmarshalListGatewayTypesResponse: (data: unknown) => ListGatewayTypesResponse;
export declare const unmarshalListGatewaysResponse: (data: unknown) => ListGatewaysResponse;
export declare const unmarshalListIPsResponse: (data: unknown) => ListIPsResponse;
export declare const unmarshalListPATRulesResponse: (data: unknown) => ListPATRulesResponse;
export declare const unmarshalSetDHCPEntriesResponse: (data: unknown) => SetDHCPEntriesResponse;
export declare const unmarshalSetPATRulesResponse: (data: unknown) => SetPATRulesResponse;
export declare const marshalCreateDHCPRequest: (request: CreateDHCPRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDHCPEntryRequest: (request: CreateDHCPEntryRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateGatewayNetworkRequest: (request: CreateGatewayNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateGatewayRequest: (request: CreateGatewayRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateIPRequest: (request: CreateIPRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePATRuleRequest: (request: CreatePATRuleRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetDHCPEntriesRequest: (request: SetDHCPEntriesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSetPATRulesRequest: (request: SetPATRulesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDHCPEntryRequest: (request: UpdateDHCPEntryRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDHCPRequest: (request: UpdateDHCPRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateGatewayNetworkRequest: (request: UpdateGatewayNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateGatewayRequest: (request: UpdateGatewayRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateIPRequest: (request: UpdateIPRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePATRuleRequest: (request: UpdatePATRuleRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpgradeGatewayRequest: (request: UpgradeGatewayRequest, defaults: DefaultValues) => Record<string, unknown>;
